function SUB = mycopyobj(THIS,SUB)
% MYCOPYOBJ  [Not a public function] Copy model properties to a subclass object.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.
    
%**************************************************************************

list = utils.ndprop('model');
for i = 1 : length(list)
    SUB.(list{i}) = THIS.(list{i});
end

end